View Issue Details

IDProjectCategoryLast Update
0019625AI WarCrash/ExceptionMay 3, 2018 10:32 am
ReporterClasmirAssigned To 
Severityblock 
Status newResolutionopen 
Product Version 
Fixed in Version 
Summary0019625: AI War 2 Crash on startup
DescriptionI've verified the files via steam "verify integrity of game files". No reported issues. The dialog says "Current content BuildID: 2740214.

The issue is that it crashes on game startup. Shows a dialog with error:

5/2/2018 7:46:46 PM Current directory used: E:/SteamLibrary/steamapps/common/AI War 2/
5/2/2018 7:46:46 PM Process Count = 0 so PlayerDataDirectory used: E:/SteamLibrary/steamapps/common/AI War 2/PlayerData/
5/2/2018 7:46:46 PM Resolution changed to fullscreen 1080x1920
5/2/2018 7:46:46 PM Applied graphics settings:
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
5/2/2018 7:46:46 PM Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
5/2/2018 7:47:15 PM Error: table 'MapTypeDataTable' does not have data for the following rows, which were referenced somewhere:
Nebula
5/2/2018 7:47:15 PM ArcenAssetBundleCache.InstantiatedObjects: 719
5/2/2018 7:47:15 PM Game Version: 0.743
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.1]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 10 (10.0.0) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 1070
graphicsDeviceID: 7041
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.1]
graphicsMemorySize: 8088
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-2500K CPU @ 3.30GHz
processorCount: 4
processorFrequency: 3300
systemMemorySize: 16333
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
5/2/2018 7:47:15 PM
29.6 seconds total load time.

SetDirectoriesToBeUsed (0.3s)
LoadFinalSFXStuff (8.0s)
ExternalIconDictionaryTable (0.6s)
ArcenUIPrefabTable (0.8s)
SpaceboxDefinitionTable (0.6s)
PlanetDefinitionTable (1.3s)
GameEntityTypeDataTable.Initialize (1.4s)
GameEntityTypeDataTable.InitVisualBits (14.2s)

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 155
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 116
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 95
   at Arcen.Universal.Engine_Universal+<OnApplicationInitialization>c__Iterator0.MoveNext() in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\Engine_Universal.cs:line 632
   at UnityEngine.SetupCoroutine.InvokeMoveNext(IEnumerator enumerator, IntPtr returnValueAddress)

5/2/2018 7:47:15 PM
Hello Steam user 'Clasmir'

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 155
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 116
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 95
   at ArcenGameController.Update() in D:\vclarge\AI_War_2_Ultra\AIW2Unity\Assets\ArcenCode\ArcenGameController.cs:line 77
TagsNo tags attached.
Internal Weight

Activities

Clasmir

May 3, 2018 10:32 am

reporter   ~0047536

Wrong bug list. Sorry. Delete if you can.

Issue History

Date Modified Username Field Change
May 2, 2018 7:51 pm Clasmir New Issue
May 3, 2018 10:32 am Clasmir Note Added: 0047536